# Модели

{% if models is defined %}
{% macro recursiveOutput(namespace, elements, indent) %}
{{ indent }}* **{{ namespace }}**
{% for key, childModels in elements %}
{% if key == 'models' %}
{% if childModels is defined %}
{% for model in childModels %}
{% if model.title is defined and model.file is defined %}
{{ indent }}  * [{{ model.title }}]({{ model.file }})
{% endif %}
{% endfor %}
{% endif %}
{% else %}
{{ _self.recursiveOutput(key, childModels, indent) }}
{% endif %}
{% endfor %}
{% endmacro %}

{% for namespace, elements in models %}
{{ _self.recursiveOutput(namespace, elements, '') }}
{% endfor %}
{% endif %}

[К началу](../README.md)